Start OpenID Connect sign-in
POST
/auth/oidc/{realm}/start
const url = 'https://sylve.lan:8181/api/auth/oidc/example/start';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"redirectUri":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/auth/oidc/example/start \ --header 'Content-Type: application/json' \ --data '{ "redirectUri": "example" }'Returns the provider URL to send the browser to, and binds the attempt to this browser with a cookie
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”realm
required
string
Realm name
Request Body
Section titled “Request Body”This node’s callback URL
Media typeapplication/json
object
redirectUri
required
string
Examplegenerated
{ "redirectUri": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
url
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "url": "example" }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}